Bug 27769 - postscript output broken between 0.25-1 and 0.25-5
Summary: postscript output broken between 0.25-1 and 0.25-5
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-print (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-15 10:04 UTC by Jeremy Katz
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 23:08:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2001-02-15 10:04:59 UTC
gnome-print postscript output functionality has broken at least for English
somewhere between 0.25-1 and 0.25-5.  Printing from AbiWord or gnumeric
produces a string of the following messages

GLib-CRITICAL **: file gstrfuncs.c: line 994 (g_strcasecmp): assertion `s2
!= NULL' failed.



Then, the actual postscript output is nothing at all like how it should
look (just random letters for the most part).  Unfortunately, I don't have
any of the builds between -1 and -5 to narrow down the build which broke
easily.

Reproducing is easy.  Start gnumeric or abiword, type something, print.
See resulting garbage :)   Note that the print preview still looks fine.

Comment 1 Glen Foster 2001-02-15 23:08:00 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Jeremy Katz 2001-02-27 02:23:10 UTC
At least fixed in gnome-print-0.25-8 (and I think it was in -6, but have -8
installed now).  Thanks.


Note You need to log in before you can comment on or make changes to this bug.